﻿@{Layout = "~/Views/Shared/_BlankLayout.cshtml"; }
@using (Html.BeginForm("ExportToXls", "ReadyCargoInquiry", FormMethod.Post))
{
    <table>
        <tr>
            <td style="width: 100px;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "BUYER CD";
                }).GetHtml()
            </td>
            <td style="width: 100px;">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_BUYER_CD_3";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 70;
                    settings.Properties.MaxLength = 25;
                    settings.ReadOnly = true;
                }).Bind(ViewData["SetBUYER_CD"]).GetHtml()
            </td>
            <td style="width: 80px;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "PD CD";
                }).GetHtml()
            </td>
            <td style="width: 80px;">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PD_CD_3";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 50;
                    settings.Properties.MaxLength = 25;
                    settings.ReadOnly = true;
                }).Bind(ViewData["SetPD_CD"]).GetHtml()
            </td>
            <td style="width: 100px;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Container No";
                }).GetHtml()
            </td>
            <td style="width: 120px;">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_CONTAINER_NO_3";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                    settings.ReadOnly = true;
                }).Bind(ViewData["SetCONTAINER_NO"]).GetHtml()
            </td>
            <td style="width: 100px;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Vanning Date";
                }).GetHtml()
            </td>
            <td style="width: 100px;">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_VANNING_DT_3";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 80;
                    settings.Properties.MaxLength = 25;
                    settings.ReadOnly = true;
                    //settings.Properties.MaskSettings = "yyyy.MM.dd";
                }).Bind(string.Format("{0:yyyy.MM.dd}", ViewData["SetVANNING_DT"])).GetHtml()
            </td>
            <td style="width: 120px;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Packing Company";
                }).GetHtml()
            </td>
            <td style="width: 100px;">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PACKING_COMPANY_3";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 60;
                    settings.Properties.MaxLength = 25;
                    settings.ReadOnly = true;
                }).Bind(ViewData["SetPACKING_COMPANY"]).GetHtml()
            </td>
        </tr>
        <tr>
            <td colspan="8">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td colspan="10" align="left">
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdDownload";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Download";
                    //edtSetting.ClientSideEvents.Click = "OnDownload";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SHIPPING_AGENT", "FTR-SPEX-51-01", "CLEAR");
                    // edtSetting.ClientSideEvents.Init = "InitData";
                }).GetHtml()
            </td>
        </tr>
        <tr>
            <td colspan="8">
                &nbsp;
            </td>
        </tr>
    </table>
@*@Html.Partial("_partial_Grid_Check_ReadyCargo", Model)  *@
    @Html.Partial("~/Views/ReadyCargoInquiry/_partial_Grid_Check_ReadyCargo.cshtml") 

@*<table>
        <tr>
            <td style="width: 100px;">
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdDownload";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Download";
                    //edtSetting.ClientSideEvents.Click = "OnDownload";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SHIPPING_AGENT", "FTR-SPEX-51-01", "CLEAR");
                    // edtSetting.ClientSideEvents.Init = "InitData";
                }).GetHtml()
            </td>
        </tr>
    </table> *@  
}
